# Generated from homesick-1.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name homesick

Name: rubygem-%{gem_name}
Version: 1.1.6
Release: 1%{?dist}
Summary: Your home directory is your castle. Don't leave your dotfiles behind
License: MIT
URL: http://github.com/technicalpickles/homesick
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capture-output) >= 1.0.0
# BuildRequires: rubygem(capture-output) < 1.1
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(jeweler) >= 1.6.2
# BuildRequires: rubygem(rb-readline) >= 0.5.0
# BuildRequires: rubygem(rb-readline) < 0.6
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(rspec) < 3.6
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(test_construct)
# BuildRequires: rubygem(libnotify)
# BuildRequires: rubygem(terminal-notifier-guard) >= 1.7.0
# BuildRequires: rubygem(terminal-notifier-guard) < 1.8
# BuildRequires: rubygem(listen) < 3
# BuildRequires: rubygem(rack) < 2
BuildArch: noarch

%description
Your home directory is your castle. Don't leave your dotfiles behind.
Homesick is sorta like rip, but for dotfiles. It uses git to clone a
repository containing dotfiles, and saves them in ~/.homesick. It then allows
you to symlink all the dotfiles into place with a single command. 
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/homesick
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.markdown
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/homesick.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.6-1
- Initial package
